from django import forms


class Graph_viaire_ville_informationForm_delete(forms.Form):

    def __init__(self, *args, **kwargs):
        initial_arguments = kwargs.get('initial', None)
        super(Graph_viaire_ville_informationForm_delete, self).__init__(*args, **kwargs)
        if initial_arguments:
            graph_viaire_ville_information = initial_arguments.get('valeur', None)
            self.fields['gvvi_nb_intersection'] = forms.IntegerField(
                required=True, initial=graph_viaire_ville_information.gvvi_nb_intersection, disabled=True,
                label="nombre d'intersection "
            )
            self.fields['gvvi_nom'] = forms.CharField(required=True, initial=graph_viaire_ville_information.ville.ville_nom,
                                                      disabled=True, label="nom de la ville ")